package com.ruoyi.abuwx.service;

import com.ruoyi.abuwx.domain.UserLike;

import java.util.List;

/**
 * 用户点赞记录Service接口
 *
 * @author lujie
 * @date 2025-02-05
 */
public interface IUserLikeService
{
    /**
     * 查询用户点赞记录
     *
     * @param id 用户点赞记录主键
     * @return 用户点赞记录
     */
    public UserLike selectUserLikeById(Long id);

    /**
     * 查询用户点赞记录列表
     *
     * @param userLike 用户点赞记录
     * @return 用户点赞记录集合
     */
    public List<UserLike> selectUserLikeList(UserLike userLike);

    /**
     * 新增用户点赞记录
     *
     * @param userLike 用户点赞记录
     * @return 结果
     */
    public int insertUserLike(UserLike userLike);

    /**
     * 修改用户点赞记录
     *
     * @param userLike 用户点赞记录
     * @return 结果
     */
    public int updateUserLike(UserLike userLike);

    /**
     * 批量删除用户点赞记录
     *
     * @param ids 需要删除的用户点赞记录主键集合
     * @return 结果
     */
    public int deleteUserLikeByIds(Long[] ids);

    /**
     * 删除用户点赞记录信息
     *
     * @param id 用户点赞记录主键
     * @return 结果
     */
    public int deleteUserLikeById(Long id);

    int unlikeContent(Long userId,Long contentType, Long contentId);

    int likeContent(Long userId, Long contentType, Long contentId);
}
